Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.rim
Interface LeafRegistryObjectListType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  RegistryObjectListType

All Known Implementing Classes:
  LeafRegistryObjectListTypeImpl, RegistryObjectListTypeImpl

    public interface LeafRegistryObjectListType

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Leaf Registry Object List Type'.

The following features are supported:

- `Group`
- `Object Ref`
- `Association`
- `Auditable Event`
- `Classification`
- `Classification Node`
- `Classification Scheme`
- `External Identifier`
- `External Link`
- `Extrinsic Object`
- `Organization`
- `Registry Package`
- `Service`
- `Service Binding`
- `Specification Link`
- `User`

See Also:
  `RimPackage.getLeafRegistryObjectListType()`

Method Summary
`org.eclipse.emf.common.util.EList` | `getAssociation()` Returns the value of the 'Association' containment reference list.
`org.eclipse.emf.common.util.EList` | `getAuditableEvent()` Returns the value of the 'Auditable Event' containment reference list.
`org.eclipse.emf.common.util.EList` | `getClassification()` Returns the value of the 'Classification' containment reference list.
`org.eclipse.emf.common.util.EList` | `getClassificationNode()` Returns the value of the 'Classification Node' containment reference list.
`org.eclipse.emf.common.util.EList` | `getClassificationScheme()` Returns the value of the 'Classification Scheme' containment reference list.
`org.eclipse.emf.common.util.EList` | `getExternalIdentifier()` Returns the value of the 'External Identifier' containment reference list.
`org.eclipse.emf.common.util.EList` | `getExternalLink()` Returns the value of the 'External Link' containment reference list.
`org.eclipse.emf.common.util.EList` | `getExtrinsicObject()` Returns the value of the 'Extrinsic Object' containment reference list.
`org.eclipse.emf.ecore.util.FeatureMap` | `getGroup()` Returns the value of the 'Group' attribute list.
`org.eclipse.emf.common.util.EList` | `getObjectRef()` Returns the value of the 'Object Ref' containment reference list.
`org.eclipse.emf.common.util.EList` | `getOrganization()` Returns the value of the 'Organization' containment reference list.
`org.eclipse.emf.common.util.EList` | `getRegistryPackage()` Returns the value of the 'Registry Package' containment reference list.
`org.eclipse.emf.common.util.EList` | `getService()` Returns the value of the 'Service' containment reference list.
`org.eclipse.emf.common.util.EList` | `getServiceBinding()` Returns the value of the 'Service Binding' containment reference list.
`org.eclipse.emf.common.util.EList` | `getSpecificationLink()` Returns the value of the 'Specification Link' containment reference list.
`org.eclipse.emf.common.util.EList` | `getUser()` Returns the value of the 'User' containment reference list.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getGroup

    org.eclipse.emf.ecore.util.FeatureMap getGroup()

  Returns the value of the 'Group' attribute list. The list contents are of type `FeatureMap.Entry`.

  If the meaning of the 'Group' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Group' attribute list.
  See Also:
    `RimPackage.getLeafRegistryObjectListType_Group()`

### getObjectRef

    org.eclipse.emf.common.util.EList getObjectRef()

  Returns the value of the 'Object Ref' containment reference list. The list contents are of type `ObjectRefType`.

  If the meaning of the 'Object Ref' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Object Ref' containment reference list.
  See Also:
    `RimPackage.getLeafRegistryObjectListType_ObjectRef()`

### getAssociation

    org.eclipse.emf.common.util.EList getAssociation()

  Returns the value of the 'Association' containment reference list. The list contents are of type `AssociationType1`.

  If the meaning of the 'Association' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Association' containment reference list.
  See Also:
    `RimPackage.getLeafRegistryObjectListType_Association()`

### getAuditableEvent

    org.eclipse.emf.common.util.EList getAuditableEvent()

  Returns the value of the 'Auditable Event' containment reference list. The list contents are of type `AuditableEventType`.

  If the meaning of the 'Auditable Event' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Auditable Event' containment reference list.
  See Also:
    `RimPackage.getLeafRegistryObjectListType_AuditableEvent()`

### getClassification

    org.eclipse.emf.common.util.EList getClassification()

  Returns the value of the 'Classification' containment reference list. The list contents are of type `ClassificationType`.

  If the meaning of the 'Classification' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Classification' containment reference list.
  See Also:
    `RimPackage.getLeafRegistryObjectListType_Classification()`

### getClassificationNode

    org.eclipse.emf.common.util.EList getClassificationNode()

  Returns the value of the 'Classification Node' containment reference list. The list contents are of type `ClassificationNodeType`.

  If the meaning of the 'Classification Node' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Classification Node' containment reference list.
  See Also:
    `RimPackage.getLeafRegistryObjectListType_ClassificationNode()`

### getClassificationScheme

    org.eclipse.emf.common.util.EList getClassificationScheme()

  Returns the value of the 'Classification Scheme' containment reference list. The list contents are of type `ClassificationSchemeType`.

  If the meaning of the 'Classification Scheme' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Classification Scheme' containment reference list.
  See Also:
    `RimPackage.getLeafRegistryObjectListType_ClassificationScheme()`

### getExternalIdentifier

    org.eclipse.emf.common.util.EList getExternalIdentifier()

  Returns the value of the 'External Identifier' containment reference list. The list contents are of type `ExternalIdentifierType`.

  If the meaning of the 'External Identifier' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'External Identifier' containment reference list.
  See Also:
    `RimPackage.getLeafRegistryObjectListType_ExternalIdentifier()`

### getExternalLink

    org.eclipse.emf.common.util.EList getExternalLink()

  Returns the value of the 'External Link' containment reference list. The list contents are of type `ExternalLinkType`.

  If the meaning of the 'External Link' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'External Link' containment reference list.
  See Also:
    `RimPackage.getLeafRegistryObjectListType_ExternalLink()`

### getExtrinsicObject

    org.eclipse.emf.common.util.EList getExtrinsicObject()

  Returns the value of the 'Extrinsic Object' containment reference list. The list contents are of type `ExtrinsicObjectType`.

  If the meaning of the 'Extrinsic Object' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Extrinsic Object' containment reference list.
  See Also:
    `RimPackage.getLeafRegistryObjectListType_ExtrinsicObject()`

### getOrganization

    org.eclipse.emf.common.util.EList getOrganization()

  Returns the value of the 'Organization' containment reference list. The list contents are of type `OrganizationType`.

  If the meaning of the 'Organization' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Organization' containment reference list.
  See Also:
    `RimPackage.getLeafRegistryObjectListType_Organization()`

### getRegistryPackage

    org.eclipse.emf.common.util.EList getRegistryPackage()

  Returns the value of the 'Registry Package' containment reference list. The list contents are of type `RegistryPackageType`.

  If the meaning of the 'Registry Package' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Registry Package' containment reference list.
  See Also:
    `RimPackage.getLeafRegistryObjectListType_RegistryPackage()`

### getService

    org.eclipse.emf.common.util.EList getService()

  Returns the value of the 'Service' containment reference list. The list contents are of type `ServiceType`.

  If the meaning of the 'Service' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Service' containment reference list.
  See Also:
    `RimPackage.getLeafRegistryObjectListType_Service()`

### getServiceBinding

    org.eclipse.emf.common.util.EList getServiceBinding()

  Returns the value of the 'Service Binding' containment reference list. The list contents are of type `ServiceBindingType`.

  If the meaning of the 'Service Binding' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Service Binding' containment reference list.
  See Also:
    `RimPackage.getLeafRegistryObjectListType_ServiceBinding()`

### getSpecificationLink

    org.eclipse.emf.common.util.EList getSpecificationLink()

  Returns the value of the 'Specification Link' containment reference list. The list contents are of type `SpecificationLinkType`.

  If the meaning of the 'Specification Link' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Specification Link' containment reference list.
  See Also:
    `RimPackage.getLeafRegistryObjectListType_SpecificationLink()`

### getUser

    org.eclipse.emf.common.util.EList getUser()

  Returns the value of the 'User' containment reference list. The list contents are of type `UserType`.

  If the meaning of the 'User' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'User' containment reference list.
  See Also:
    `RimPackage.getLeafRegistryObjectListType_User()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD